Package org.apache.sling.launchpad.testservices.serversidetests

# Class MappingEventsTest

java.lang.Object
org.apache.sling.launchpad.testservices.serversidetests.MappingEventsTest

public class MappingEventsTest extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_REDIRECT_EXTERNAL`

## Constructor Summary

Constructors
Constructor
Description
`MappingEventsTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteTestNodes()`
`void`
`setup()`
`void`
`testSaveMappings()`
Test SLING-4058 - unexpected timeouts in saveMappings
`void`
`testVanityPaths()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROP_REDIRECT_EXTERNAL

public static final String PROP_REDIRECT_EXTERNAL

See Also:
  - Constant Field Values

## Constructor Details

### MappingEventsTest

public MappingEventsTest()

## Method Details

### setup

public void setup() throws Exception

Throws:
  `Exception`

### deleteTestNodes

public void deleteTestNodes() throws Exception

Throws:
  `Exception`

### testSaveMappings

public void testSaveMappings() throws Exception
Test SLING-4058 - unexpected timeouts in saveMappings

Throws:
  `Exception` - in case of any problems

### testVanityPaths

public void testVanityPaths() throws Exception

Throws:
  `Exception`